Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class Project

- org.gradle.plugins.ide.idea.model.Project

- Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Jdk` | `jdk` Represent the jdk information of the project java sdk.
    `Set<Path>` | `modulePaths` A set of Path instances pointing to the modules contained in the ipr.
    `Set<ProjectLibrary>` | `projectLibraries` The project-level libraries of the IDEA project.
    `Set<String>` | `wildcards` A set of wildcard string to be included/excluded from the resources.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Project (XmlTransformer xmlTransformer, def pathFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configure(Collection<Path> modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries)`
    `boolean` | `equals(def o)`
    `protected String` | `getDefaultResourceName()`
    `int` | `hashCode()`
    `protected void` | `load(Node xml)`
    `protected void` | `store(Node xml)`

- - ### Property Detail

    - #### Jdk jdk

      Represent the jdk information of the project java sdk.

    - #### Set<Path> modulePaths

      A set of Path instances pointing to the modules contained in the ipr.

    - #### @Incubating Set<ProjectLibrary> projectLibraries

      The project-level libraries of the IDEA project.

    - #### Set<String> wildcards

      A set of wildcard string to be included/excluded from the resources.

  - ### Constructor Detail

    - #### Project(XmlTransformer xmlTransformer, def pathFactory)

  - ### Method Detail

    - #### void configure(Collection<Path> modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries)

    - #### boolean equals(def o)

    - #### @Override protected String getDefaultResourceName()

    - #### int hashCode()

    - #### @Override protected void load(Node xml)

    - #### @Override protected void store(Node xml)